# Activity timeline

The activity timeline service provides weekly and monthly chronological reports of the number of users in your organisation.

Weekly and monthly timelines include the following indicators:

* **The total number of registered users** which includes both the active and the inactive users.
* **The number of new users** who created an account during the given period.
* **The number of active users:** who recorded at least one trip during the given period.
* **the number of deleted users** during the given period.

{% hint style="info" %}
If you have your **admin API key**, you can try the API via this [**link**](https://drivequant.stoplight.io/docs/drivequant-public/3da907709f1ce-customer-activity-timeline).
{% endhint %}

{% openapi src="/files/Vz02bjSpAuZXjTymSiXD" path="/drivekit/admin/customer/activity/timeline" method="get" %}
[drivekit-admin-customer-activity.yaml](https://2525923625-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LXYIG5U3AO65YYFWJRK%2Fuploads%2FixI7BVWYgaYtrMzqK1LZ%2Fdrivekit-admin-customer-activity.yaml?alt=media\&token=ad8d1b2b-e736-4999-bda9-da4e365f91a9)
{% endopenapi %}

## Response

The table below summarizes the list of activity data.

<table><thead><tr><th width="170">Field</th><th width="171.66666666666666">Type</th><th>Description</th></tr></thead><tbody><tr><td>week</td><td><code>object</code></td><td><em>List of weekly activity (see</em> <a href="#customeractivitytimelineitem"><em>CustomerActivityTimelineItem</em></a><em>)</em></td></tr><tr><td>month</td><td><code>object</code></td><td><em>List of monthly activity (see</em> <a href="#customeractivitytimelineitem"><em>CustomerActivityTimelineItem</em></a><em>)</em></td></tr></tbody></table>

### CustomerActivityTimelineItem

The monthly and weekly activity has the same structure, represented by a `CustomerActivityTimelineItem` object described in the table below.

<table><thead><tr><th width="190">Field</th><th width="167.66666666666663">Type</th><th>Description</th></tr></thead><tbody><tr><td>date</td><td><code>array[string]</code></td><td><p>Dates corresponding to the first day of the week or month. </p><p><em>Date format: <code>YYYY-MM-dd’T’HH:mm:ss.SSSZ</code></em></p></td></tr><tr><td>registeredUsers</td><td><code>array[int]</code></td><td>Total number of registered users.</td></tr><tr><td>newUsers</td><td><code>array[int]</code></td><td>Number of new users in the given period.</td></tr><tr><td>deletedUsers</td><td><code>array[int]</code></td><td>Number of users having their accounts deleted in the given period.</td></tr><tr><td>activeUsers</td><td><code>array[int]</code></td><td>Number of active users who recorded at least one trip during the given period.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.drivequant.com/backend/customer/activity-timeline.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
